<puzzle gridsizex="12" gridsizey="9" minsolvemoves="-1" parsolvemoves="17">
    <environment name="temple4" />
    <board name="field_12x9" />
    <gfxset name="temple" />
    <block type="normal" id="31347">
        <pos>
            <x>5</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31348</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31348">
        <pos>
            <x>6</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31349</neighbor_e>
        <neighbor_w>31347</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31349">
        <pos>
            <x>7</x>
            <y>2</y>
        </pos>
        <size>
            <x>0.703125</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31350</neighbor_e>
        <neighbor_w>31348</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31350">
        <pos>
            <x>7.70313</x>
            <y>2</y>
        </pos>
        <size>
            <x>0.296875</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31351</neighbor_e>
        <neighbor_w>31349</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31351">
        <pos>
            <x>8</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>31350</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="normal" id="31352">
        <pos>
            <x>5</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>31353</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31353">
        <pos>
            <x>5</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>0.828125</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31352</neighbor_n>
        <neighbor_s>31354</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31354">
        <pos>
            <x>5</x>
            <y>4.82813</y>
        </pos>
        <size>
            <x>1</x>
            <y>0.609375</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31353</neighbor_n>
        <neighbor_s>31355</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31355">
        <pos>
            <x>5</x>
            <y>5.4375</y>
        </pos>
        <size>
            <x>1</x>
            <y>0.5625</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31354</neighbor_n>
        <neighbor_s>31356</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31356">
        <pos>
            <x>5</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31355</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="levelsolvedtrigger" id="31368">
        <pos>
            <x>12</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="31369">
        <pos>
            <x>-2</x>
            <y>-2</y>
        </pos>
        <size>
            <x>16</x>
            <y>2</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="31370">
        <pos>
            <x>-2</x>
            <y>9</y>
        </pos>
        <size>
            <x>16</x>
            <y>2</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="31371">
        <pos>
            <x>-2</x>
            <y>0</y>
        </pos>
        <size>
            <x>2</x>
            <y>9</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="31372">
        <pos>
            <x>12</x>
            <y>0</y>
        </pos>
        <size>
            <x>2</x>
            <y>4</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="31373">
        <pos>
            <x>12</x>
            <y>5</y>
        </pos>
        <size>
            <x>2</x>
            <y>4</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="31374">
        <pos>
            <x>13</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="player" id="31392">
        <pos>
            <x>0</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31393</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkplay_end</model>
    </block>
    <block type="player" id="31393">
        <pos>
            <x>1</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>31392</neighbor_w>
        <model>blkplay_end</model>
    </block>
    <block type="normal" id="31399">
        <pos>
            <x>6</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31400</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31400">
        <pos>
            <x>7</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31401</neighbor_e>
        <neighbor_w>31399</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31401">
        <pos>
            <x>8</x>
            <y>6</y>
        </pos>
        <size>
            <x>0.640625</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31402</neighbor_e>
        <neighbor_w>31400</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31402">
        <pos>
            <x>8.64063</x>
            <y>6</y>
        </pos>
        <size>
            <x>0.359375</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31403</neighbor_e>
        <neighbor_w>31401</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31403">
        <pos>
            <x>9</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>31402</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="normal" id="31404">
        <pos>
            <x>9</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>31405</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31405">
        <pos>
            <x>9</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31404</neighbor_n>
        <neighbor_s>31406</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31406">
        <pos>
            <x>9</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>0.8125</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31405</neighbor_n>
        <neighbor_s>31407</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31407">
        <pos>
            <x>9</x>
            <y>4.8125</y>
        </pos>
        <size>
            <x>1</x>
            <y>0.1875</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31406</neighbor_n>
        <neighbor_s>31408</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31408">
        <pos>
            <x>9</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31407</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="obstacle" id="31409">
        <pos>
            <x>9</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31410">
        <pos>
            <x>11</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31411">
        <pos>
            <x>11</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31412">
        <pos>
            <x>9</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31413">
        <pos>
            <x>5</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31414">
        <pos>
            <x>3</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31415">
        <pos>
            <x>5</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31416">
        <pos>
            <x>3</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="normal" id="31438">
        <pos>
            <x>5</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31439</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31439">
        <pos>
            <x>6</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31440</neighbor_e>
        <neighbor_w>31438</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31440">
        <pos>
            <x>7</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31441</neighbor_e>
        <neighbor_w>31439</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31441">
        <pos>
            <x>8</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31442</neighbor_e>
        <neighbor_w>31440</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31442">
        <pos>
            <x>9</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31443</neighbor_e>
        <neighbor_w>31441</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31443">
        <pos>
            <x>10</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>31442</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="normal" id="31444">
        <pos>
            <x>4</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>31445</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31445">
        <pos>
            <x>4</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31444</neighbor_n>
        <neighbor_s>31446</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31446">
        <pos>
            <x>4</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31445</neighbor_n>
        <neighbor_s>31447</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31447">
        <pos>
            <x>4</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31446</neighbor_n>
        <neighbor_s>31448</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31448">
        <pos>
            <x>4</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31447</neighbor_n>
        <neighbor_s>31449</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31449">
        <pos>
            <x>4</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31448</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="normal" id="31450">
        <pos>
            <x>4</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31451</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31451">
        <pos>
            <x>5</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31452</neighbor_e>
        <neighbor_w>31450</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31452">
        <pos>
            <x>6</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31453</neighbor_e>
        <neighbor_w>31451</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31453">
        <pos>
            <x>7</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31454</neighbor_e>
        <neighbor_w>31452</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31454">
        <pos>
            <x>8</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31455</neighbor_e>
        <neighbor_w>31453</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31455">
        <pos>
            <x>9</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>31454</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="normal" id="31456">
        <pos>
            <x>10</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>31457</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31457">
        <pos>
            <x>10</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31456</neighbor_n>
        <neighbor_s>31458</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31458">
        <pos>
            <x>10</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31457</neighbor_n>
        <neighbor_s>31459</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31459">
        <pos>
            <x>10</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31458</neighbor_n>
        <neighbor_s>31460</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31460">
        <pos>
            <x>10</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31459</neighbor_n>
        <neighbor_s>31461</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31461">
        <pos>
            <x>10</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31460</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="obstacle" id="31462">
        <pos>
            <x>10</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31463">
        <pos>
            <x>3</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31464">
        <pos>
            <x>3</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31465">
        <pos>
            <x>4</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31466">
        <pos>
            <x>10</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31467">
        <pos>
            <x>11</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31468">
        <pos>
            <x>11</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="31469">
        <pos>
            <x>4</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="normal" id="31471">
        <pos>
            <x>7</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31472</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31472">
        <pos>
            <x>8</x>
            <y>3</y>
        </pos>
        <size>
            <x>0</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31473</neighbor_e>
        <neighbor_w>31471</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31473">
        <pos>
            <x>8</x>
            <y>3</y>
        </pos>
        <size>
            <x>0</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31474</neighbor_e>
        <neighbor_w>31472</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31474">
        <pos>
            <x>8</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>31473</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="normal" id="31475">
        <pos>
            <x>6</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>31476</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31476">
        <pos>
            <x>6</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>0</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31475</neighbor_n>
        <neighbor_s>31477</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31477">
        <pos>
            <x>6</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>0</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31476</neighbor_n>
        <neighbor_s>31478</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31478">
        <pos>
            <x>6</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31477</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="normal" id="31479">
        <pos>
            <x>6</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31480</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31480">
        <pos>
            <x>7</x>
            <y>5</y>
        </pos>
        <size>
            <x>0</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31481</neighbor_e>
        <neighbor_w>31479</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31481">
        <pos>
            <x>7</x>
            <y>5</y>
        </pos>
        <size>
            <x>0</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>31482</neighbor_e>
        <neighbor_w>31480</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31482">
        <pos>
            <x>7</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>31481</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="normal" id="31483">
        <pos>
            <x>8</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>31484</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="31484">
        <pos>
            <x>8</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>0</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31483</neighbor_n>
        <neighbor_s>31485</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="flex" id="31485">
        <pos>
            <x>8</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>0</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31484</neighbor_n>
        <neighbor_s>31486</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="31486">
        <pos>
            <x>8</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>31485</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
</puzzle>
